<?php

/*
Copyright 2009 iThemes (email: support@ithemes.com)

Written by Chris Jean
Version 1.0.0

Version History
	1.0.0 - 2009-09-10
		Release-ready
*/


if ( ! class_exists( 'ITDataSets' ) ) {
	class ITDataSets {
		function get_countries() {
			return array(
				'A1'	=> 'Anonymous Proxy',
				'A2'	=> 'Satellite Provider',
				'AD'	=> 'Andorra',
				'AE'	=> 'United Arab Emirates',
				'AF'	=> 'Afghanistan',
				'AG'	=> 'Antigua and Barbuda',
				'AI'	=> 'Anguilla',
				'AL'	=> 'Albania',
				'AM'	=> 'Armenia',
				'AN'	=> 'Netherlands Antilles',
				'AO'	=> 'Angola',
				'AP'	=> 'Asia/Pacific Region',
				'AQ'	=> 'Antarctica',
				'AR'	=> 'Argentina',
				'AS'	=> 'American Samoa',
				'AT'	=> 'Austria',
				'AU'	=> 'Australia',
				'AW'	=> 'Aruba',
				'AX'	=> 'Aland Islands',
				'AZ'	=> 'Azerbaijan',
				'BA'	=> 'Bosnia and Herzegovina',
				'BB'	=> 'Barbados',
				'BD'	=> 'Bangladesh',
				'BE'	=> 'Belgium',
				'BF'	=> 'Burkina Faso',
				'BG'	=> 'Bulgaria',
				'BH'	=> 'Bahrain',
				'BI'	=> 'Burundi',
				'BJ'	=> 'Benin',
				'BM'	=> 'Bermuda',
				'BN'	=> 'Brunei Darussalam',
				'BO'	=> 'Bolivia',
				'BR'	=> 'Brazil',
				'BS'	=> 'Bahamas',
				'BT'	=> 'Bhutan',
				'BV'	=> 'Bouvet Island',
				'BW'	=> 'Botswana',
				'BY'	=> 'Belarus',
				'BZ'	=> 'Belize',
				'CA'	=> 'Canada',
				'CD'	=> 'Congo, The Democratic Republic of the',
				'CF'	=> 'Central African Republic',
				'CG'	=> 'Congo',
				'CH'	=> 'Switzerland',
				'CI'	=> 'Cote D\'Ivoire',
				'CK'	=> 'Cook Islands',
				'CL'	=> 'Chile',
				'CM'	=> 'Cameroon',
				'CN'	=> 'China',
				'CO'	=> 'Colombia',
				'CR'	=> 'Costa Rica',
				'CU'	=> 'Cuba',
				'CV'	=> 'Cape Verde',
				'CY'	=> 'Cyprus',
				'CZ'	=> 'Czech Republic',
				'DE'	=> 'Germany',
				'DJ'	=> 'Djibouti',
				'DK'	=> 'Denmark',
				'DM'	=> 'Dominica',
				'DO'	=> 'Dominican Republic',
				'DZ'	=> 'Algeria',
				'EC'	=> 'Ecuador',
				'EE'	=> 'Estonia',
				'EG'	=> 'Egypt',
				'ER'	=> 'Eritrea',
				'ES'	=> 'Spain',
				'ET'	=> 'Ethiopia',
				'EU'	=> 'Europe',
				'FI'	=> 'Finland',
				'FJ'	=> 'Fiji',
				'FK'	=> 'Falkland Islands (Malvinas)',
				'FM'	=> 'Micronesia, Federated States of',
				'FO'	=> 'Faroe Islands',
				'FR'	=> 'France',
				'GA'	=> 'Gabon',
				'GB'	=> 'United Kingdom',
				'GD'	=> 'Grenada',
				'GE'	=> 'Georgia',
				'GF'	=> 'French Guiana',
				'GG'	=> 'Guernsey',
				'GH'	=> 'Ghana',
				'GI'	=> 'Gibraltar',
				'GL'	=> 'Greenland',
				'GM'	=> 'Gambia',
				'GN'	=> 'Guinea',
				'GP'	=> 'Guadeloupe',
				'GQ'	=> 'Equatorial Guinea',
				'GR'	=> 'Greece',
				'GT'	=> 'Guatemala',
				'GU'	=> 'Guam',
				'GW'	=> 'Guinea-Bissau',
				'GY'	=> 'Guyana',
				'HK'	=> 'Hong Kong',
				'HN'	=> 'Honduras',
				'HR'	=> 'Croatia',
				'HT'	=> 'Haiti',
				'HU'	=> 'Hungary',
				'ID'	=> 'Indonesia',
				'IE'	=> 'Ireland',
				'IL'	=> 'Israel',
				'IM'	=> 'Isle of Man',
				'IN'	=> 'India',
				'IO'	=> 'British Indian Ocean Territory',
				'IQ'	=> 'Iraq',
				'IR'	=> 'Iran, Islamic Republic of',
				'IS'	=> 'Iceland',
				'IT'	=> 'Italy',
				'JE'	=> 'Jersey',
				'JM'	=> 'Jamaica',
				'JO'	=> 'Jordan',
				'JP'	=> 'Japan',
				'KE'	=> 'Kenya',
				'KG'	=> 'Kyrgyzstan',
				'KH'	=> 'Cambodia',
				'KI'	=> 'Kiribati',
				'KM'	=> 'Comoros',
				'KN'	=> 'Saint Kitts and Nevis',
				'KP'	=> 'Korea, Democratic People\'s Republic of',
				'KR'	=> 'Korea, Republic of',
				'KW'	=> 'Kuwait',
				'KY'	=> 'Cayman Islands',
				'KZ'	=> 'Kazakstan',
				'LA'	=> 'Lao People\'s Democratic Republic',
				'LB'	=> 'Lebanon',
				'LC'	=> 'Saint Lucia',
				'LI'	=> 'Liechtenstein',
				'LK'	=> 'Sri Lanka',
				'LR'	=> 'Liberia',
				'LS'	=> 'Lesotho',
				'LT'	=> 'Lithuania',
				'LU'	=> 'Luxembourg',
				'LV'	=> 'Latvia',
				'LY'	=> 'Libyan Arab Jamahiriya',
				'MA'	=> 'Morocco',
				'MC'	=> 'Monaco',
				'MD'	=> 'Moldova, Republic of',
				'ME'	=> 'Montenegro',
				'MG'	=> 'Madagascar',
				'MH'	=> 'Marshall Islands',
				'MK'	=> 'Macedonia',
				'ML'	=> 'Mali',
				'MM'	=> 'Myanmar',
				'MN'	=> 'Mongolia',
				'MO'	=> 'Macau',
				'MP'	=> 'Northern Mariana Islands',
				'MQ'	=> 'Martinique',
				'MR'	=> 'Mauritania',
				'MS'	=> 'Montserrat',
				'MT'	=> 'Malta',
				'MU'	=> 'Mauritius',
				'MV'	=> 'Maldives',
				'MW'	=> 'Malawi',
				'MX'	=> 'Mexico',
				'MY'	=> 'Malaysia',
				'MZ'	=> 'Mozambique',
				'NA'	=> 'Namibia',
				'NC'	=> 'New Caledonia',
				'NE'	=> 'Niger',
				'NF'	=> 'Norfolk Island',
				'NG'	=> 'Nigeria',
				'NI'	=> 'Nicaragua',
				'NL'	=> 'Netherlands',
				'NO'	=> 'Norway',
				'NP'	=> 'Nepal',
				'NR'	=> 'Nauru',
				'NU'	=> 'Niue',
				'NZ'	=> 'New Zealand',
				'OM'	=> 'Oman',
				'PA'	=> 'Panama',
				'PE'	=> 'Peru',
				'PF'	=> 'French Polynesia',
				'PG'	=> 'Papua New Guinea',
				'PH'	=> 'Philippines',
				'PK'	=> 'Pakistan',
				'PL'	=> 'Poland',
				'PM'	=> 'Saint Pierre and Miquelon',
				'PR'	=> 'Puerto Rico',
				'PS'	=> 'Palestinian Territory, Occupied',
				'PT'	=> 'Portugal',
				'PW'	=> 'Palau',
				'PY'	=> 'Paraguay',
				'QA'	=> 'Qatar',
				'RE'	=> 'Reunion',
				'RO'	=> 'Romania',
				'RS'	=> 'Serbia',
				'RU'	=> 'Russian Federation',
				'RW'	=> 'Rwanda',
				'SA'	=> 'Saudi Arabia',
				'SB'	=> 'Solomon Islands',
				'SC'	=> 'Seychelles',
				'SD'	=> 'Sudan',
				'SE'	=> 'Sweden',
				'SG'	=> 'Singapore',
				'SI'	=> 'Slovenia',
				'SK'	=> 'Slovakia',
				'SL'	=> 'Sierra Leone',
				'SM'	=> 'San Marino',
				'SN'	=> 'Senegal',
				'SO'	=> 'Somalia',
				'SR'	=> 'Suriname',
				'ST'	=> 'Sao Tome and Principe',
				'SV'	=> 'El Salvador',
				'SY'	=> 'Syrian Arab Republic',
				'SZ'	=> 'Swaziland',
				'TC'	=> 'Turks and Caicos Islands',
				'TD'	=> 'Chad',
				'TG'	=> 'Togo',
				'TH'	=> 'Thailand',
				'TJ'	=> 'Tajikistan',
				'TK'	=> 'Tokelau',
				'TM'	=> 'Turkmenistan',
				'TN'	=> 'Tunisia',
				'TO'	=> 'Tonga',
				'TR'	=> 'Turkey',
				'TT'	=> 'Trinidad and Tobago',
				'TV'	=> 'Tuvalu',
				'TW'	=> 'Taiwan',
				'TZ'	=> 'Tanzania, United Republic of',
				'UA'	=> 'Ukraine',
				'UG'	=> 'Uganda',
				'UM'	=> 'United States Minor Outlying Islands',
				'US'	=> 'United States',
				'UY'	=> 'Uruguay',
				'UZ'	=> 'Uzbekistan',
				'VA'	=> 'Holy See (Vatican City State)',
				'VC'	=> 'Saint Vincent and the Grenadines',
				'VE'	=> 'Venezuela',
				'VG'	=> 'Virgin Islands, British',
				'VI'	=> 'Virgin Islands, U.S.',
				'VN'	=> 'Vietnam',
				'VU'	=> 'Vanuatu',
				'WF'	=> 'Wallis and Futuna',
				'WS'	=> 'Samoa',
				'YE'	=> 'Yemen',
				'YT'	=> 'Mayotte',
				'ZA'	=> 'South Africa',
				'ZM'	=> 'Zambia',
				'ZW'	=> 'Zimbabwe',
			);
		}
		
		function get_states( $options = array() ) {
			$territories = array(
				'AS'	=> 'American Samoa',
				'FM'	=> 'Federated States of Micronesia',
				'GU'	=> 'Guam',
				'MH'	=> 'Marshall Islands',
				'MP'	=> 'Northern Mariana Islands',
				'PR'	=> 'Puerto Rico',
				'PW'	=> 'Palau',
				'VI'	=> 'Virgin Islands',
			);
			
			$states = array(
				'AL'	=> 'Alabama',
				'AK'	=> 'Alaska',
				'AZ'	=> 'Arizona',
				'AR'	=> 'Arkansas',
				'CA'	=> 'California',
				'CO'	=> 'Colorado',
				'CT'	=> 'Connecticut',
				'DE'	=> 'Delaware',
				'DC'	=> 'District of Columbia',
				'FL'	=> 'Florida',
				'GA'	=> 'Georgia',
				'HI'	=> 'Hawaii',
				'ID'	=> 'Idaho',
				'IL'	=> 'Illinois',
				'IN'	=> 'Indiana',
				'IA'	=> 'Iowa',
				'KS'	=> 'Kansas',
				'KY'	=> 'Kentucky',
				'LA'	=> 'Louisiana',
				'ME'	=> 'Maine',
				'MD'	=> 'Maryland',
				'MA'	=> 'Massachusetts',
				'MI'	=> 'Michigan',
				'MN'	=> 'Minnesota',
				'MS'	=> 'Mississippi',
				'MO'	=> 'Missouri',
				'MT'	=> 'Montana',
				'NE'	=> 'Nebraska',
				'NV'	=> 'Nevada',
				'NH'	=> 'New Hampshire',
				'NJ'	=> 'New Jersey',
				'NM'	=> 'New Mexico',
				'NY'	=> 'New York',
				'NC'	=> 'North Carolina',
				'ND'	=> 'North Dakota',
				'OH'	=> 'Ohio',
				'OK'	=> 'Oklahoma',
				'OR'	=> 'Oregon',
				'PA'	=> 'Pennsylvania',
				'RI'	=> 'Rhode Island',
				'SC'	=> 'South Carolina',
				'SD'	=> 'South Dakota',
				'TN'	=> 'Tennessee',
				'TX'	=> 'Texas',
				'UT'	=> 'Utah',
				'VT'	=> 'Vermont',
				'VA'	=> 'Virginia',
				'WA'	=> 'Washington',
				'WV'	=> 'West Virginia',
				'WI'	=> 'Wisconsin',
				'WY'	=> 'Wyoming',
			);
			
			if ( true === $options['include_territories'] )
				$states = array_merge( $states, $territories );
			
			return $states;
		}
	}
}
